<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hrm',

    /*
     * Package.
     */
    'package'   => 'booking',

    /*
     * Modules.
     */
    'modules'   => ['booking'],

    
    'booking'       => [
        'model' => [
            'model'                 => \Hrm\Booking\Models\Booking::class,
            'table'                 => 'bookings',
            'presenter'             => \Hrm\Booking\Repositories\Presenter\BookingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'user_type',  'candidate_id',  'client_id',  'unit_id',  'job_id',  'reference',  'booking_date',  'shift_date',  'start_time',  'end_time',  'break',  'hours',  'details',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'booking/booking',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hrm',
            'package'   => 'Booking',
            'module'    => 'Booking',
        ],

    ],
];
