<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBookingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bookings
         */
        Schema::create('bookings', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->integer('candidate_id')->nullable();
            $table->integer('client_id')->nullable();
            $table->integer('unit_id')->nullable();
            $table->integer('job_id')->nullable();
            $table->string('reference', 100)->nullable();
            $table->date('booking_date')->nullable();
            $table->date('shift_date')->nullable();
            $table->time('start_time')->nullable();
            $table->time('end_time')->nullable();
            $table->time('break')->nullable();
            $table->integer('hours')->nullable();
            $table->text('details')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bookings');
    }
}
